# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "net-flickr"
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Ryan Grove"]
  s.date = "2008-02-09"
  s.email = "ryan@wonko.com"
  s.homepage = "http://code.google.com/p/net-flickr/"
  s.rdoc_options = ["--title", "Net::Flickr Documentation", "--main", "Net::Flickr", "--line-numbers"]
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.4")
  s.rubyforge_project = "net-flickr"
  s.rubygems_version = "1.8.23"
  s.summary = "Flickr library for Ruby."

  if s.respond_to? :specification_version then
    s.specification_version = 2

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<hpricot>, [">= 0.5"])
    else
      s.add_dependency(%q<hpricot>, [">= 0.5"])
    end
  else
    s.add_dependency(%q<hpricot>, [">= 0.5"])
  end
end
